Uploaded image for project: 'AMQ Broker'
  1. AMQ Broker
  2. ENTMQBR-3724

OperatorHub pulling System Z operator image on x86_64 architecture

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Critical
    • Resolution: Done
    • AMQ 7.7.0.GA
    • None
    • operator
    • None
    • Hide

      1) Use OperatorHub to install Broker Operator image on x86_64 architecture

      Show
      1) Use OperatorHub to install Broker Operator image on x86_64 architecture
    • Workaround Exists
    • Hide

      Install Broker Operator from CLI

      Show
      Install Broker Operator from CLI
    • Hide
      If you use OperatorHub to deploy the AMQ Broker Operator on OpenShift Container Platform 4.5 or earlier, OperatorHub displays a variant of the Operator that is not appropriate for your host platform. This makes it possible to select the incorrect Operator variant. In particular, regardless of your host platform, OperatorHub displays both the Red Hat Integration - AMQ Broker Operator (the Operator for OpenShift Container Platform) and the AMQ Broker Operator (the Operator for OpenShift Container Platform on IBM Z).

      To work around this issue, select the Operator variant that is appropriate to your platform, as described above. Alternatively, install the Operator using the OpenShift command-line interface (CLI).

      In OpenShift Container Platform 4.6, this issue is resolved. OperatorHub displays only the Operator variant that corresponds to your host platform.
      Show
      If you use OperatorHub to deploy the AMQ Broker Operator on OpenShift Container Platform 4.5 or earlier, OperatorHub displays a variant of the Operator that is not appropriate for your host platform. This makes it possible to select the incorrect Operator variant. In particular, regardless of your host platform, OperatorHub displays both the Red Hat Integration - AMQ Broker Operator (the Operator for OpenShift Container Platform) and the AMQ Broker Operator (the Operator for OpenShift Container Platform on IBM Z). To work around this issue, select the Operator variant that is appropriate to your platform, as described above. Alternatively, install the Operator using the OpenShift command-line interface (CLI). In OpenShift Container Platform 4.6, this issue is resolved. OperatorHub displays only the Operator variant that corresponds to your host platform.
    • Documented as Known Issue

    Description

      OperatorHub is pulling the System Z operator image: registry.redhat.io/amq7/amq-broker-rhel8-operator:0.10

       

      This image is based on 7.5.0 for System Z.

       

      AMQ 7.7.0 operator image for amd64 (x86_64) architecture should be registry.redhat.io/amq7/amq-broker-rhel7-operator:0.15

       

      Error message reported:

      Trying to pull 
      [registry.redhat.io/amq7/amq-broker-rhel8-operator|http://registry.redhat.io/amq7/amq-broker-rhel8-operator]
      ...
        no image found in manifest list for architecture amd64, variant , OS linux
      Error: error pulling image "
      [registry.redhat.io/amq7/amq-broker-rhel8-operator|http://registry.redhat.io/amq7/amq-broker-rhel8-operator]
      ": unable to pull 
      [registry.redhat.io/amq7/amq-broker-rhel8-operator|http://registry.redhat.io/amq7/amq-broker-rhel8-operator]
      : unable to pull image: Error choosing an image from manifest list 
      [docker://registry.redhat.io/amq7/amq-broker-rhel8-operator:latest]
      : no image found in manifest list for architecture amd64, variant , OS linux
      

       

       

      Attachments

        Issue Links

          Activity

            People

              rhn-support-rkieley Roderick Kieley
              rhn-support-jsherman Jason Sherman
              Mikhail Krutov Mikhail Krutov
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: